# Workflow Examples


[Latch Verified](https://github.com/latch-verified) features list of well-curated workflows developed by the Latch team. 
* [Bulk RNA-seq](https://github.com/latch-verified/bulk-rnaseq)
* [Differential Expression](https://github.com/latch-verified/diff-exp)
* [Pathway Analysis](https://github.com/latch-verified/pathway)

We'll maintain a growing list of well documented examples developed by our community members here. Please open a pull request to feature your own:

**Gene Editing**
  * [Guide Counter](https://github.com/latchbio/wf-guide_counter)
  * [Batch-GE: Gene editing analysis](https://github.com/latchbio/wf-batch_ge)

**Phylogenetics**
  * [Seq-to-tree: Evolutionary history inference](https://github.com/JLSteenwyk/latch_wf_seq_to_tree)
  * [Codon optimization estimation](https://github.com/JLSteenwyk/latch_wf_codon_optimization)
  * [Metamage: Taxonomy classification](https://github.com/jvfe/metamage_latch)

**Single-cell Analysis**
  * [ArchR: Single-cell chromatin accessibility analysis](https://github.com/aa20g217/Archr-Latch-Wf)
  * [emptydropsR: Ambient RNA detection](https://github.com/mrland99/emptydropsR-latch-wf)
  * [scVelo: Single-cell RNA velocity analysis](https://github.com/aa20g217/RNA-velocity-Latch-WF)

**Protein Engineering**
  * [UniRep: mLSTM "babbler" deep representation learner for protein engineering](https://github.com/matteobolner/unirep_latch)
  * [FAMSA: Multiple sequence protein alignment](https://github.com/shivaramakrishna99/famsa-latch)

  **Nextflow**
  * [A Nextflow workflow to process FastQs](https://github.com/latchbio/wf-rejuvenome-nf_redun_06)