# Tutorials

These tutorials show case real-world examples of how to use the Latch SDK to develop bioinformatics workflows.

Each tutorial demonstrates a key concept within the Latch SDK.

| Tutorial | Description | Key Concepts | SDK Feature
| --- | ----------- | -------- | ----
| Bulk RNA-seq | Gene and transcript counts from bulk RNA-seq sample reads. | Running task in parallel over a list of inputs; Grouping files; Handling files and metadata | map_task, file_glob
| Metamage | Taxonomic classification, assembly, binning and annotation of short-read host-associated metagenomics datasets | Reusing workflow in a larger workflow | subworkflows

---

## Additional Resources

You can also refer to [Examples](../examples/workflows_examples.md) to see examples developed by the Latch team and our community members.
