# Latch 2.9.3

## New Features

### Local Development with `latch develop`

Version `2.9.3` introduces the `latch develop` command, which allows for quick
iteration and easy debugging while developing a workflow.

Previously, to debug a workflow, a user would have to first register a new
version of their workflow, and then run it on the platform to see if it worked.

This practice is inefficient and expensive, both in compute resources and in
time invested. The goal of `latch develop` is to mitigate these costs and create
a simple, seamless environment within which a user can iterate on and debug a
workflow effectively.

To use this, navigate to a workflow directory and run `latch develop .`. This
will spawn a REPL in which there are utilities for running tasks individually,
running scripts, and spawning interactive shells to debug environment issues.

**Important: to use this feature, you must have registered the specific workflow at least once.**

Read more [here.](https://docs.latch.bio/basics/local_development.md)

## Deprecations

The following are now deprecated, and will no longer be maintained. They have
been moved to a dedicated `deprecated` folder and will be removed in a future
release of `latch`.

* The commands `latch rm`, `latch mkdir`, and `latch touch`.
* The operators `left_join`, `right_join`, `inner_join`, `outer_join`,
  `group_tuple`, `latch_filter`, and `combine`
